Application: gvSIG desktop - gvSIG bugs #562
WMS graphic legend
04/23/2012 09:50 AM - Ignacio Brodin

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Ignacio Brodin

Category: WMS

Target version:

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build: 2045
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

Two problems has been detected with the legends in WMS:
-On the one hand the method getimagelLegend is not implemented, therefore graphic legends are not shown
-On the other hand when a server has not a legend, that could be requested using the call GetLegendGraphic

http://www.juntadeandalucia.es/medioambiente/mapwms/REDIAM Hidroclimatico Andalucia?REQUEST=GetLegendGraphic&#38;S
RVICE=WMS&#38;VERSION=1.1.1&#38;LAYER=precipitacion anual&#38;TRANSPARENT=TRUE&#38;FORMAT=image/png

http://aca-web.gencat.cat/sig/ogc/PUBLIC/PEF LI MCO/MapServer/WMSServer?

http://delta.icc.es/cqi-bin/mapserv?map=/opt/idec/dades/idelitoral/far.map

http://sitmun.diba.cat/wms/serviet/pce5m

History

#1 - 05/30/2012 10:28 AM - Ignacio Brodin

- Status changed from New to Fixed

gvsig-desktop:r38254 TOC modifications
gvsig-desktop:r38255 libRemoteServices
gvsig-raster:r1082

#2 - 02/26/2014 12:40 PM - Alvaro Anguix
- Status changed from Fixed to Closed

05/17/2024 1/1



http://www.juntadeandalucia.es/medioambiente/mapwms/REDIAM_Hidroclimatico_Andalucia?REQUEST=GetLegendGraphic&#38;SERVICE=WMS&#38;VERSION=1.1.1&#38;LAYER=precipitacion_anual&#38;TRANSPARENT=TRUE&#38;FORMAT=image/png
http://www.juntadeandalucia.es/medioambiente/mapwms/REDIAM_Hidroclimatico_Andalucia?REQUEST=GetLegendGraphic&#38;SERVICE=WMS&#38;VERSION=1.1.1&#38;LAYER=precipitacion_anual&#38;TRANSPARENT=TRUE&#38;FORMAT=image/png
http://aca-web.gencat.cat/sig/ogc/PUBLIC/PEF_LI_MCO/MapServer/WMSServer
http://delta.icc.es/cgi-bin/mapserv?map=/opt/idec/dades/idelitoral/far.map
http://sitmun.diba.cat/wms/servlet/pce5m

